︠5d1169de-d6f8-4b82-8e15-b7390a599acc︠
def my_complex_plot(f, xrange, yrange, conts):
    p1 = complex_plot(f, xrange, yrange)
    p2 = contour_plot(lambda x,y: imag(f(x+y*I)), xrange, yrange, fill=False, cmap=[(0.5,0,0)],contours=conts)
    p3 = contour_plot(lambda x,y: imag(f(x+y*I)*I), xrange, yrange, fill=False, cmap=[(0.5,0,0)],contours=conts)
    return p1+p2+p3
︡2c8b3602-f3f7-4954-adfd-ccdefafd1bb9︡︡
︠f95366a8-f7a4-4fd7-ab73-b455951d24b1︠
my_complex_plot(lambda z: z^2, (-3,3), (-3,3), [-20,-19..20])
︡15d80a75-b69c-40ba-a170-992086bfc483︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠f2aa2f08-c1b6-4945-84cf-45210b78ae06︠
complex_plot(lambda z: z^2, (-3,3), (-3,3))
︡a0be492b-77d0-4735-b6ff-2356b52adf00︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠540f43eb-858f-4770-8732-2891e44abbf2︠
my_complex_plot(lambda z: sqrt(z), (-3,3), (-3,3), [-2,-1.9..2])
︡535ad8a1-08d7-4724-bc6f-35866eea20fe︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠a1154f6a-2b77-4f57-b18f-7475b7be0899︠
my_complex_plot(lambda z: exp(z), (-1,2), (-3.25,3.25), [-9,-8.5..9])
︡c7dc0c6a-3939-449b-becb-cdd4ad929fe2︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠2bf05caa-d7dd-48ab-8515-9e9f0189c74e︠
my_complex_plot(lambda z: log(z+0.001), (-3,3), (-3,3), [-3, -2.8..3])
︡6998191e-d8e8-4f1d-a078-769394625058︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠30791d1e-8763-4d97-916c-08c088c1b735︠
x,y=var('x,y')
︡0833f4ef-1224-4e3a-8944-16ed3fae9f3e︡︡
︠2318cc4d-50cb-4ed4-884a-747aca7e9810︠
plot_vector_field((x,0), (x,-2,2), (y,-2,2), aspect_ratio=1)
︡4e3cee05-7f3c-495e-a2bf-cd5e309cd355︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠ffe9a48a-9597-4b0d-996f-55cac23f9fa3︠
plot_vector_field((0,x), (x,-2,2), (y,-2,2), aspect_ratio=1)
︡53ca8bff-6954-4746-ae1b-b445051c6f7d︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠15106afa-7ecc-4698-afe1-e377f1f6fd83︠
plot_vector_field((x,y), (x,-2,2), (y,-2,2), aspect_ratio=1)
︡6aee1c07-c36b-483e-acd3-d42df4f52bf8︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠aa9e49be-028f-41c9-b3f1-dd956dfa11b9︠
plot_vector_field((-y,x), (x,-2,2), (y,-2,2), aspect_ratio=1)
︡59ce60f9-c038-46bb-a38c-3cb7e837821a︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠9b02780b-d4eb-47da-b5be-5eac588182e0︠
t = var('t')
︡9496b550-2921-42be-877c-1dc37330fbd4︡︡
︠bb777e40-0c70-4085-8989-a0c0cf26cafd︠
plot(1 + 0*t, (t, 0, 2*pi), ymin=-1, ymax=1)
︡dbff193f-3ae2-4ff6-88c9-b13822c217f9︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠7aad6528-889a-40fd-9af7-77e5775d4979︠
plot(sin(t) + 0.5*cos(2*t) + 0.3*sin(3*t), (t, 0, 2*pi))
︡6b0e706f-06ea-4d4b-ad7c-f98a20f1d14f︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠722b3d85-06f4-4040-9125-341f5aef23c2︠
plot(-cos(3*t) + cos(4*t), (t, 0, 2*pi))
︡b290b449-dc60-4809-a571-423aaa95037b︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠ae4a3666-3f8b-402f-b366-e966af69750b︠
my_complex_plot(gamma, (-3,3), (-3,3), [-10..10])
︡707c7b96-7fa3-43cc-b9d3-23367edf68c9︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠88854ac6-2e70-4bfe-9094-02abb615e4f9︠
my_complex_plot(zeta, (-3,3), (-5,5), [-10..10])
︡934a3674-d1df-4545-a65c-348279f74e00︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
